MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024458Open CASCADE[OCCT] OCCT:DRAWpublic2013-12-12 09:272014-05-05 13:37
Reporterszv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024458: Add commands for basic shape transformations
DescriptionThe commands similar to:

tmove
ttranslate
trotate
tmirror
tscale

might be added to BRepTest_BasicCommands.cxx to allow performing simple transformations of shapes (applying TopLoc_Location via the corresponding methods like Location, Move).

Such commands could be called:
bmove
btranslate
brotate
bmirror
bscale
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027177)
szv (manager)
2013-12-12 10:27

The commands to apply basic transformations to shapes added, please review the branch.
(0027489)
abv (manager)
2014-01-15 11:17

No remarks, please test
(0027510)
mkv (tester)
2014-01-16 10:10

Dear BugMaster,

Branch CR24458 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 4a2aa3d4590b54cfa399fe7dcfc85e5092adeb97

Number of compiler warnings:

occt component :
Linux: 55 (55 on master)
Windows: 1 (1 on master)

products component :
Linux: 20 (20 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 357531124 / 357072716
Total CPU difference: 44657.46999999999 / 42990.47999999986

Testing on Windows:
Total MEMORY difference: 413220184 / 412460556
Total CPU difference: 32004.453125 / 32600.90625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 513d3443
Timestamp: 2013-12-12 06:25:36
Author: szv
Committer: bugmaster
Details ] Diff ]
0024458: Add commands for basic shape transformations

Added commands for basic transformations
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-12 09:27 szv New Issue
2013-12-12 09:27 szv Assigned To => mkv
2013-12-12 10:24 szv Assigned To mkv => szv
2013-12-12 10:24 szv Status new => assigned
2013-12-12 10:26 szv Relationship added related to 0022240
2013-12-12 10:27 szv Note Added: 0027177
2013-12-12 10:27 szv Assigned To szv => abv
2013-12-12 10:27 szv Status assigned => resolved
2014-01-15 11:17 abv Note Added: 0027489
2014-01-15 11:17 abv Assigned To abv => bugmaster
2014-01-15 11:17 abv Status resolved => reviewed
2014-01-15 11:48 mkv Assigned To bugmaster => mkv
2014-01-15 12:47 abv Target Version => 6.7.1
2014-01-16 10:10 mkv Note Added: 0027510
2014-01-16 10:10 mkv Test case number => Not needed
2014-01-16 10:10 mkv Assigned To mkv => bugmaster
2014-01-16 10:10 mkv Status reviewed => tested
2014-01-21 11:22 bugmaster Changeset attached => occt master 513d3443
2014-01-21 11:22 bugmaster Status tested => verified
2014-01-21 11:22 bugmaster Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker